Get Offers
curl --request GET \
--url https://functions.prod.jarvi.tech/v1/public-api/rest/v2/offers \
--header 'X-API-KEY: <api-key>'import requests
url = "https://functions.prod.jarvi.tech/v1/public-api/rest/v2/offers"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://functions.prod.jarvi.tech/v1/public-api/rest/v2/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "0c48cc86-352e-4098-9f34-5785e3aeafa3",
"name": "Dev JAVA - IDF",
"createdAt": "2024-05-30T10:19:11.381731+00:00",
"updatedAt": "2024-10-24T08:41:12.981473+00:00",
"externalId": "1234567890",
"referenceId": "1234567890",
"fieldsValues": [
{
"id": "1785a816-1cf3-4e07-849b-4be09a8ddad6",
"field": {
"id": "00da911c-e3e1-46c1-86cc-0c1ec53e3213",
"type": "richtext",
"name": "Test Laurent",
"purpose": null,
"__typename": "fields"
},
"fieldValue": null,
"location": null,
"value": "<p>contenu 1 : </p><p></p><p></p><p>Contenu 2</p> ",
"__typename": "projects_fieldsvalues"
},
{
"id": "049d767e-c7cb-42e8-b0fb-7668cfba391e",
"field": {
"id": "de7fae4a-5f73-43a4-a92f-e19c4ecd81f1",
"type": "boolean",
"name": "resources.fields.purposes.joboffer_salary_is_public.name",
"purpose": "joboffer_salary_is_public",
"__typename": "fields"
},
"fieldValue": null,
"location": null,
"value": "true",
"__typename": "projects_fieldsvalues"
}
],
"__typename": "projects"
}
],
"total": 1
}Référence de l'API REST
[Offres] Lister
Get all offers with their custom fields, files, and more.
Get Offers
Vous devez utiliser votre clé d’api publique pour cette requête. Vous devez mettre en cache les données de votre
côté pour respecter les limites de nombre d’appels par jour.
Authorizations
Query Parameters
The number of offers to return. Default is 100. Maximum is 1000
The number of projects to skip. Default is 0.
Response
200 - application/json
Responses for GET /api/rest/offers
Show child attributes
Show child attributes
⌘I